Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Interface CredentialRequestOptionsParameters.IChallengeStage

All Known Implementing Classes:
  `CredentialRequestOptionsParameters.Builder`

Enclosing class:
  CredentialRequestOptionsParameters

public static interface CredentialRequestOptionsParameters.IChallengeStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialRequestOptionsParameters.IAllowCredentialsStage`
`withChallenge(byte[] challenge)`
The challenge sent to the authenticator in authentication ceremonies.

## Method Details

### withChallenge

CredentialRequestOptionsParameters.IAllowCredentialsStage withChallenge(@Nonnull byte[] challenge)
The challenge sent to the authenticator in authentication ceremonies.

Parameters:
  `challenge` - the challenge
Returns:
  the next stage